Debian Bug report logs - #453193
twiki: FTBFS: `Depends' field, syntax error after reference to package `perl'

version graph

Package: twiki; Maintainer for twiki is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 27 Nov 2007 20:09:09 UTC

Severity: serious

Tags: patch

Found in version twiki/1:4.1.2-3

Fixed in version twiki/1:4.1.2-3.1

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sven Dowideit <svenud@ozemail.com.au>:
Bug#453193; Package twiki. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Sven Dowideit <svenud@ozemail.com.au>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: twiki: FTBFS: `Depends' field, syntax error after reference to package `perl'
Date: Tue, 27 Nov 2007 20:45:11 +0100
Package: twiki
version: 1:4.1.2-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071126 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > dh_installdocs -Xlicense.txt
 > dh_installexamples
 > dh_installmenu
 > dh_installcron
 > dh_installman
 > dh_installinfo
 > dh_installchangelogs 
 > dh_link
 > dh_strip
 > dh_compress
 > dh_fixperms # --exclude /var/www/twiki/data
 > dh_installdeb
 > dh_perl
 > dh_gencontrol
 > dh_md5sums
 > dh_builddeb
 > dpkg-deb: parse error, in file `debian/twiki/DEBIAN/control' near line 6 package `twiki':
 >  `Depends' field, syntax error after reference to package `perl'
 > dh_builddeb: command returned error code 512
 > make: *** [binary-arch] Error 1
 > dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/11/26

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Sven Dowideit <svenud@ozemail.com.au>:
Bug#453193; Package twiki. Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Rivas Contreras <ghostbar38@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sven Dowideit <svenud@ozemail.com.au>. Full text and rfc822 format available.

Message #10 received at 453193@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas Contreras <ghostbar38@gmail.com>
To: 453193@bugs.debian.org, control@bugs.debian.org
Subject: twiki: FTBFS: `Depends' field, syntax error after reference to package `perl'
Date: Wed, 02 Jan 2008 00:44:12 -0430
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 453193 patch
quit

Hi,

{perl:Depends} it's not supposed to be versioned, perl should go along
if you want it with a version, the attached patch should fix this issue.

Regards.
- --
Jose Luis Rivas. San Cristóbal, Venezuela. PGP: 0xCACAB118
http://ghostbar.ath.cx/{about,acerca} - http://debian.org.ve
`ghostbar' @ irc.debian.org/#debian-ve,#debian-devel-es
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHex2jOKCtW8rKsRgRAqIaAKCM96k2z8DuyKYj6ZD3GYAfpplcFgCglab3
QhG5swPUtKx+xh69vMTNpgA=
=gPMX
-----END PGP SIGNATURE-----
[twiki_debian-control_453193.patch (text/x-diff, inline)]
--- twiki-4.1.2/debian/control	2008-01-02 00:38:42.000000000 -0430
+++ modified/debian/control	2008-01-02 00:33:54.000000000 -0430
@@ -7,7 +7,7 @@
 
 Package: twiki
 Architecture: all
-Depends: ${perl:Depends} (>= 5.8), libnet-perl, libmime-base64-perl, rcs (>= 5.7), apache-common | apache2-common | apache2.2-common, debconf (>=  0.5) | debconf-2.0, libalgorithm-diff-perl, liberror-perl, libdigest-sha1-perl, libtext-diff-perl, liblocale-maketext-lexicon-perl, libcgi-session-perl, liburi-perl, libhtml-parser-perl
+Depends: perl (>= 5.8), ${perl:Depends}, libnet-perl, libmime-base64-perl, rcs (>= 5.7), apache-common | apache2-common | apache2.2-common, debconf (>=  0.5) | debconf-2.0, libalgorithm-diff-perl, liberror-perl, libdigest-sha1-perl, libtext-diff-perl, liblocale-maketext-lexicon-perl, libcgi-session-perl, liburi-perl, libhtml-parser-perl
 Suggests: libunicode-maputf8-perl, libapache-mod-perl, libapache2-mod-perl2
 Description: A Web Based Collaboration Platform
  TWiki is a modern CGI-based implementation of the Wiki collaboration platform

Tags added: patch Request was from Jose Luis Rivas Contreras <ghostbar38@gmail.com> to control@bugs.debian.org. (Wed, 02 Jan 2008 05:18:03 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 453193-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 453193-close@bugs.debian.org
Subject: Bug#453193: fixed in twiki 1:4.1.2-3.1
Date: Sat, 12 Jan 2008 11:32:08 +0000
Source: twiki
Source-Version: 1:4.1.2-3.1

We believe that the bug you reported is fixed in the latest version of
twiki, which is due to be installed in the Debian FTP archive:

twiki_4.1.2-3.1.diff.gz
  to pool/main/t/twiki/twiki_4.1.2-3.1.diff.gz
twiki_4.1.2-3.1.dsc
  to pool/main/t/twiki/twiki_4.1.2-3.1.dsc
twiki_4.1.2-3.1_all.deb
  to pool/main/t/twiki/twiki_4.1.2-3.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453193@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated twiki package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 12:26:01 +0100
Source: twiki
Binary: twiki
Architecture: source all
Version: 1:4.1.2-3.1
Distribution: unstable
Urgency: low
Maintainer: Sven Dowideit <svenud@ozemail.com.au>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 twiki      - A Web Based Collaboration Platform
Closes: 453193
Changes: 
 twiki (1:4.1.2-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not version the perl dependency substitution. (Closes: #453193)
Files: 
 1dde0a237f32033386a197fd16bcf5e9 588 web optional twiki_4.1.2-3.1.dsc
 71540210729b89dad3ac08ea23133abe 42540 web optional twiki_4.1.2-3.1.diff.gz
 e670c87deddf733be326baca5bdc9bd8 4680782 web optional twiki_4.1.2-3.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiKRh7Ro5M7LPzdgRArZFAJ4q9Hd3kdh/mpVCD8aNn3ECGkxdIgCgmsoM
v+DoBDQNtRkpALwn8LCPN4s=
=RC1i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:08:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.